SnapBasePoint Example |
Using Programming Languages other than VBA
Sub Example_SnapBasePoint() ' This example changes the snap base point for a ' model space and paper space viewport. ' Create a new model space viewport Dim viewportObj As AcadViewport Set viewportObj = ThisDrawing.Viewports.Add("NewViewport") ' Find the current snap base point Dim currSnapPnt As Variant currSnapPnt = viewportObj.SnapBasePoint MsgBox "The current model space snap base point is " & viewportObj.SnapBasePoint(0) & ", " & viewportObj.SnapBasePoint(1), , "SnapBasePoint Example" ' Change the snap base point Dim newSnapPnt(0 To 1) As Double newSnapPnt(0) = 5#: newSnapPnt(1) = 5# viewportObj.SnapBasePoint = newSnapPnt MsgBox "The new model space snap base point is " & viewportObj.SnapBasePoint(0) & ", " & viewportObj.SnapBasePoint(1), , "SnapBasePoint Example" ' Create a new paper space viewport Dim pviewportObj As AcadPViewport Dim center(0 To 2) As Double Dim width As Double Dim height As Double center(0) = 3: center(1) = 3: center(2) = 0 width = 40 height = 40 ThisDrawing.ActiveSpace = acPaperSpace Set pviewportObj = ThisDrawing.PaperSpace.AddPViewport(center, width, height) ' Find the current snap base point currSnapPnt = pviewportObj.SnapBasePoint MsgBox "The current paper space snap base point is " & pviewportObj.SnapBasePoint(0) & ", " & pviewportObj.SnapBasePoint(1), , "SnapBasePoint Example" ' Change the snap base point newSnapPnt(0) = 2#: newSnapPnt(1) = 2# pviewportObj.SnapBasePoint = newSnapPnt MsgBox "The new paper space snap base point is " & pviewportObj.SnapBasePoint(0) & ", " & pviewportObj.SnapBasePoint(1), , "SnapBasePoint Example" End Sub
Comments? |